<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage NIOBE
 * @since NIOBE 1.0
 */

$niobe_blog_style = explode('_', niobe_get_theme_option('blog_style'));
$niobe_columns = empty($niobe_blog_style[1]) ? 2 : max(2, $niobe_blog_style[1]);
$niobe_post_format = get_post_format();
$niobe_post_format = empty($niobe_post_format) ? 'standard' : str_replace('post-format-', '', $niobe_post_format);
$niobe_animation = niobe_get_theme_option('blog_animation');

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_portfolio_'.esc_attr($niobe_columns).' post_format_'.esc_attr($niobe_post_format).(is_sticky() && !is_paged() ? ' sticky' : '') ); ?>
	<?php echo (!niobe_is_off($niobe_animation) ? ' data-animation="'.esc_attr(niobe_get_animation_classes($niobe_animation)).'"' : ''); ?>>
	<?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	$niobe_image_hover = niobe_get_theme_option('image_hover');
	// Featured image
	niobe_show_post_featured(array(
		'thumb_size' => niobe_get_thumb_size(strpos(niobe_get_theme_option('body_style'), 'full')!==false || $niobe_columns < 3 
								? 'masonry-big' 
								: 'masonry'),
		'show_no_image' => true,
		'class' => $niobe_image_hover == 'dots' ? 'hover_with_info' : '',
		'post_info' => $niobe_image_hover == 'dots' ? '<div class="post_info">'.esc_html(get_the_title()).'</div>' : ''
	));
	?>
</article>