<?php
/**
 * The Sticky template to display the sticky posts
 *
 * Used for index/archive
 *
 * @package WordPress
 * @subpackage NIOBE
 * @since NIOBE 1.0
 */

$niobe_columns = max(1, min(3, count(get_option( 'sticky_posts' ))));
$niobe_post_format = get_post_format();
$niobe_post_format = empty($niobe_post_format) ? 'standard' : str_replace('post-format-', '', $niobe_post_format);
$niobe_animation = niobe_get_theme_option('blog_animation');

?><div class="column-1_<?php echo esc_attr($niobe_columns); ?>"><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_sticky post_format_'.esc_attr($niobe_post_format) ); ?>
	<?php echo (!niobe_is_off($niobe_animation) ? ' data-animation="'.esc_attr(niobe_get_animation_classes($niobe_animation)).'"' : ''); ?>
	>

	<?php
	if ( is_sticky() && is_home() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	niobe_show_post_featured(array(
		'thumb_size' => niobe_get_thumb_size($niobe_columns==1 ? 'big' : ($niobe_columns==2 ? 'med' : 'avatar'))
	));

	if ( !in_array($niobe_post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">
			<?php
			// Post title
			the_title( sprintf( '<h6 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h6>' );
			// Post meta
			niobe_show_post_meta(apply_filters('niobe_filter_post_meta_args', array(), 'sticky', $niobe_columns));
			?>
		</div><!-- .entry-header -->
		<?php
	}
	?>
</article></div>