<?php
/* Calculate Fields Form support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('niobe_calculated_fields_form_theme_setup9')) {
	add_action( 'after_setup_theme', 'niobe_calculated_fields_form_theme_setup9', 9 );
	function niobe_calculated_fields_form_theme_setup9() {
		if (niobe_exists_calculated_fields_form()) {
			add_action( 'wp_enqueue_scripts', 							'niobe_calculated_fields_form_frontend_scripts', 1100 );
			add_filter( 'niobe_filter_merge_styles',					'niobe_calculated_fields_form_merge_styles' );
		}
		if (is_admin()) {
			add_filter( 'niobe_filter_tgmpa_required_plugins',		'niobe_calculated_fields_form_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'niobe_calculated_fields_form_tgmpa_required_plugins' ) ) {
	function niobe_calculated_fields_form_tgmpa_required_plugins($list=array()) {
		if (niobe_storage_isset('required_plugins', 'calculated-fields-form')) {
			$list[] = array(
					'name' 		=> niobe_storage_get_array('required_plugins', 'calculated-fields-form'),
					'slug' 		=> 'calculated-fields-form',
					'required' 	=> false
			);
		}
		return $list;
	}
}

// Check if plugin installed and activated
if ( !function_exists( 'niobe_exists_calculated_fields_form' ) ) {
	function niobe_exists_calculated_fields_form() {
		return class_exists( 'CP_SESSION' ) || class_exists( 'CPCFF_MAIN' );
	}
}
	
// Enqueue plugin's custom styles
if ( !function_exists( 'niobe_calculated_fields_form_frontend_scripts' ) ) {
	function niobe_calculated_fields_form_frontend_scripts() {
		// Remove jquery_ui from frontend
		if (niobe_get_theme_setting('disable_jquery_ui')) {
			global $wp_styles;
			$wp_styles->done[] = 'cpcff_jquery_ui';
		}
		if (niobe_is_on(niobe_get_theme_option('debug_mode')) && niobe_get_file_dir('plugins/calculated-fields-form/calculated-fields-form.css')!='')
			wp_enqueue_style( 'niobe-calculated-fields-form',  niobe_get_file_url('plugins/calculated-fields-form/calculated-fields-form.css'), array(), null );
	}
}
	
// Merge custom styles
if ( !function_exists( 'niobe_calculated_fields_form_merge_styles' ) ) {
	function niobe_calculated_fields_form_merge_styles($list) {
		$list[] = 'plugins/calculated-fields-form/calculated-fields-form.css';
		return $list;
	}
}
?>