<?php
/* Essential Grid support functions
------------------------------------------------------------------------------- */


// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('niobe_essential_grid_theme_setup9')) {
	add_action( 'after_setup_theme', 'niobe_essential_grid_theme_setup9', 9 );
	function niobe_essential_grid_theme_setup9() {
		if (niobe_exists_essential_grid()) {
			add_action( 'wp_enqueue_scripts', 							'niobe_essential_grid_frontend_scripts', 1100 );
			add_filter( 'niobe_filter_merge_styles',					'niobe_essential_grid_merge_styles' );
		}
		if (is_admin()) {
			add_filter( 'niobe_filter_tgmpa_required_plugins',		'niobe_essential_grid_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'niobe_essential_grid_tgmpa_required_plugins' ) ) {
	function niobe_essential_grid_tgmpa_required_plugins($list=array()) {
		if (niobe_storage_isset('required_plugins', 'essential-grid')) {
			$path = niobe_get_file_dir('plugins/essential-grid/essential-grid.zip');
			if (!empty($path) || niobe_get_theme_setting('tgmpa_upload')) {
				$list[] = array(
						'name' 		=> niobe_storage_get_array('required_plugins', 'essential-grid'),
						'slug' 		=> 'essential-grid',
						'source'	=> !empty($path) ? $path : 'upload://essential-grid.zip',
						'version'  => '3.0.19',
						'required' 	=> false
				);
			}
		}
		return $list;
	}
}

// Check if plugin installed and activated
if ( !function_exists( 'niobe_exists_essential_grid' ) ) {
	function niobe_exists_essential_grid() {
		return defined('EG_PLUGIN_PATH') || defined( 'ESG_PLUGIN_PATH' );
	}
}
	
// Enqueue plugin's custom styles
if ( !function_exists( 'niobe_essential_grid_frontend_scripts' ) ) {
	function niobe_essential_grid_frontend_scripts() {
		if (niobe_is_on(niobe_get_theme_option('debug_mode')) && niobe_get_file_dir('plugins/essential-grid/essential-grid.css')!='')
			wp_enqueue_style( 'niobe-essential-grid',  niobe_get_file_url('plugins/essential-grid/essential-grid.css'), array(), null );
	}
}
	
// Merge custom styles
if ( !function_exists( 'niobe_essential_grid_merge_styles' ) ) {
	function niobe_essential_grid_merge_styles($list) {
		$list[] = 'plugins/essential-grid/essential-grid.css';
		return $list;
	}
}
?>