<?php
/* Revolution Slider support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('niobe_revslider_theme_setup9')) {
	add_action( 'after_setup_theme', 'niobe_revslider_theme_setup9', 9 );
	function niobe_revslider_theme_setup9() {
		if (niobe_exists_revslider()) {
			add_action( 'wp_enqueue_scripts', 					'niobe_revslider_frontend_scripts', 1100 );
			add_filter( 'niobe_filter_merge_styles',			'niobe_revslider_merge_styles' );
		}
		if (is_admin()) {
			add_filter( 'niobe_filter_tgmpa_required_plugins','niobe_revslider_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'niobe_revslider_tgmpa_required_plugins' ) ) {
	function niobe_revslider_tgmpa_required_plugins($list=array()) {
		if (niobe_storage_isset('required_plugins', 'revslider')) {
			$path = niobe_get_file_dir('plugins/revslider/revslider.zip');
			if (!empty($path) || niobe_get_theme_setting('tgmpa_upload')) {
				$list[] = array(
					'name' 		=> niobe_storage_get_array('required_plugins', 'revslider'),
					'slug' 		=> 'revslider',
					'source'	=> !empty($path) ? $path : 'upload://revslider.zip',
					'version'  => '6.6.14',
					'required' 	=> false,
				);
			}
		}
		return $list;
	}
}

// Check if RevSlider installed and activated
if ( !function_exists( 'niobe_exists_revslider' ) ) {
	function niobe_exists_revslider() {
		return function_exists('rev_slider_shortcode');
	}
}
	
// Enqueue custom styles
if ( !function_exists( 'niobe_revslider_frontend_scripts' ) ) {
	function niobe_revslider_frontend_scripts() {
		if (niobe_is_on(niobe_get_theme_option('debug_mode')) && niobe_get_file_dir('plugins/revslider/revslider.css')!='')
			wp_enqueue_style( 'niobe-revslider',  niobe_get_file_url('plugins/revslider/revslider.css'), array(), null );
	}
}
	
// Merge custom styles
if ( !function_exists( 'niobe_revslider_merge_styles' ) ) {
	function niobe_revslider_merge_styles($list) {
		$list[] = 'plugins/revslider/revslider.css';
		return $list;
	}
}
?>