<?php
/* TRX Updater support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('niobe_trx_updater_theme_setup9')) {
	add_action( 'after_setup_theme', 'niobe_trx_updater_theme_setup9', 9 );
	function niobe_trx_updater_theme_setup9() {

		if (is_admin()) {
			add_filter( 'niobe_filter_tgmpa_required_plugins',			'niobe_trx_updater_tgmpa_required_plugins' );
		}
	}
}


// Filter to add in the required plugins list
if ( ! function_exists( 'niobe_trx_updater_tgmpa_required_plugins' ) ) {
	
	function niobe_trx_updater_tgmpa_required_plugins( $list = array() ) {
		if ( niobe_storage_isset( 'required_plugins', 'trx_updater' )) {
			$path = niobe_get_file_dir( 'plugins/trx_updater/trx_updater.zip' );
			if ( ! empty( $path ) || niobe_get_theme_setting( 'tgmpa_upload' ) ) {
				$list[] = array(
					'name'     => niobe_storage_get_array( 'required_plugins', 'trx_updater' ),
					'slug'     => 'trx_updater',
					'source'   => ! empty( $path ) ? $path : 'upload://trx_updater.zip',
					'version'  => '2.0.0',
					'required' => false,
				);
			}
		}
		return $list;
	}
}


// Check if this plugin installed and activated
if ( !function_exists( 'niobe_exists_trx_updater' ) ) {
	function niobe_exists_trx_updater() {
		return function_exists( 'trx_updater_load_plugin_textdomain' );
	}
}
