<?php
/* YITH WooCommerce Compare support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'niobe_yith_wishlist_theme_setup9' ) ) {
    add_action( 'after_setup_theme', 'niobe_yith_wishlist_theme_setup9', 9 );
    function niobe_yith_wishlist_theme_setup9() {
        if ( is_admin() ) {
            add_filter( 'niobe_filter_tgmpa_required_plugins', 'niobe_yith_wishlist_tgmpa_required_plugins' );
        }
    }
}

// Filter to add in the required plugins list
if ( !function_exists( 'niobe_yith_wishlist_tgmpa_required_plugins' ) ) {
    function niobe_yith_wishlist_tgmpa_required_plugins($list=array()) {
        if (niobe_storage_isset('required_plugins', 'yith-woocommerce-wishlist')) {
            $list[] = array(
                'name' 		=> niobe_storage_get_array('required_plugins', 'yith-woocommerce-wishlist'),
                'slug' 		=> 'yith-woocommerce-wishlist',
                'required' 	=> false
            );

        }
        return $list;
    }
}

// Changing plugin icon url
if ( ! function_exists( 'filter_filter_plugin_logo_wishlist' ) ) {
    add_filter( 'trx_addons_filter_plugin_logo', 'filter_filter_plugin_logo_wishlist', 10 ,3 );
    function filter_filter_plugin_logo_wishlist($plugin_url, $plugin_slug, $plugin_data) {
        if ( $plugin_slug === 'yith-woocommerce-wishlist') {
            return esc_url( REPRIZO_THEME_URL.niobe_skins_get_current_skin_dir().'plugins/'.$plugin_slug.'/'.$plugin_data['logo'] );
        }
        return $plugin_url;
    }
}

// Check if yith installed and activated
if ( ! function_exists( 'niobe_exists_yith_wishlist' ) ) {
    function niobe_exists_yith_wishlist() {
        return defined( 'YITH_WCWL_DIR' );
    }
}

// Set plugin's specific importer options
if ( !function_exists( 'niobe_yith_wishlist_importer_set_options' ) ) {
    if (is_admin()) add_filter( 'trx_addons_filter_importer_options',	'niobe_yith_wishlist_importer_set_options' );
    function niobe_yith_wishlist_importer_set_options($options=array()) {
        if ( niobe_exists_yith_wishlist() && in_array('yith-woocommerce-wishlist', $options['required_plugins']) ) {
            $options['additional_options'][] = 'yith_wcwl_%';
        }
        return $options;
    }
}
