<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage NIOBE
 * @since NIOBE 1.0
 */

if (niobe_sidebar_present()) {
	ob_start();
	$niobe_sidebar_name = niobe_get_theme_option('sidebar_widgets');
	niobe_storage_set('current_sidebar', 'sidebar');
	if ( is_active_sidebar($niobe_sidebar_name) ) {
		dynamic_sidebar($niobe_sidebar_name);
	}
	$niobe_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($niobe_out)) {
		$niobe_sidebar_position = niobe_get_theme_option('sidebar_position');
		?>
		<div class="sidebar <?php echo esc_attr($niobe_sidebar_position); ?> widget_area<?php if (!niobe_is_inherit(niobe_get_theme_option('sidebar_scheme'))) echo ' scheme_'.esc_attr(niobe_get_theme_option('sidebar_scheme')); ?>" role="complementary">
			<div class="sidebar_inner">
				<?php
				do_action( 'niobe_action_before_sidebar' );
				niobe_show_layout(preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $niobe_out));
				do_action( 'niobe_action_after_sidebar' );
				?>
			</div><!-- /.sidebar_inner -->
		</div><!-- /.sidebar -->
		<?php
	}
}
?>