<?php
/**
 * The template to display Admin notices
 *
 * @package WordPress
 * @subpackage NIOBE
 * @since NIOBE 1.0.1
 */
 
$niobe_theme_obj = wp_get_theme();
?>
<div class="update-nag" id="niobe_admin_notice">
	<h3 class="niobe_notice_title"><?php
		// Translators: Add theme name and version to the 'Welcome' message
		echo esc_html(sprintf(__('Welcome to %1$s v.%2$s', 'niobe'),
				$niobe_theme_obj->name . (NIOBE_THEME_FREE ? ' ' . __('Free', 'niobe') : ''),
				$niobe_theme_obj->version
				));
	?></h3>
	<?php
	if (!niobe_exists_trx_addons()) {
		?><p><?php echo wp_kses_data(__('<b>Attention!</b> Plugin "ThemeREX Addons is required! Please, install and activate it!', 'niobe')); ?></p><?php
	}
	?><p>
		<a href="<?php echo esc_url(admin_url().'themes.php?page=niobe_about'); ?>" class="button button-primary"><i class="dashicons dashicons-nametag"></i> <?php
			// Translators: Add theme name
			echo esc_html(sprintf(__('About %s', 'niobe'), $niobe_theme_obj->name));
		?></a>
		<?php
		if (niobe_get_value_gp('page')!='tgmpa-install-plugins') {
			?>
			<a href="<?php echo esc_url(admin_url().'themes.php?page=tgmpa-install-plugins'); ?>" class="button button-primary"><i class="dashicons dashicons-admin-plugins"></i> <?php esc_html_e('Install plugins', 'niobe'); ?></a>
			<?php
		}
		if (function_exists('niobe_exists_trx_addons') && niobe_exists_trx_addons() && class_exists('trx_addons_demo_data_importer')) {
			?>
			<a href="<?php echo esc_url(admin_url().'themes.php?page=trx_importer'); ?>" class="button button-primary"><i class="dashicons dashicons-download"></i> <?php esc_html_e('One Click Demo Data', 'niobe'); ?></a>
			<?php
		}
		?>
        <a href="<?php echo esc_url(admin_url().'customize.php'); ?>" class="button button-primary"><i class="dashicons dashicons-admin-appearance"></i> <?php esc_html_e('Theme Customizer', 'niobe'); ?></a>
		<span> <?php esc_html_e('or', 'niobe'); ?> </span>
        <a href="<?php echo esc_url(admin_url().'themes.php?page=theme_options'); ?>" class="button button-primary"><i class="dashicons dashicons-admin-appearance"></i> <?php esc_html_e('Theme Options', 'niobe'); ?></a>
        <a href="#" class="button niobe_hide_notice"><i class="dashicons dashicons-dismiss"></i> <?php esc_html_e('Hide Notice', 'niobe'); ?></a>
	</p>
</div>