<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package WordPress
 * @subpackage NIOBE
 * @since NIOBE 1.0.10
 */

// Footer menu
$niobe_menu_footer = niobe_get_nav_menu(array(
											'location' => 'menu_footer',
											'class' => 'sc_layouts_menu sc_layouts_menu_default'
											));


// Copyright area
$niobe_footer_scheme =  niobe_is_inherit(niobe_get_theme_option('footer_scheme')) ? niobe_get_theme_option('color_scheme') : niobe_get_theme_option('footer_scheme');
$niobe_copyright_scheme = niobe_is_inherit(niobe_get_theme_option('copyright_scheme')) ? $niobe_footer_scheme : niobe_get_theme_option('copyright_scheme');
?> 

<div class="content_wrap">
<?php
if (!empty($niobe_menu_footer)) {
	?>
	<div class="columns_wrap columns_fluid">
		<div class="sc_layouts_column sc_layouts_column_align_left sc_layouts_column_icons_position_left sc_layouts_column_fluid column-3_4">
			<?php
			if (!empty($niobe_menu_footer)) {
				?>
				<div class="footer_menu_wrap">
					<div class="footer_menu_inner">
						<?php niobe_show_layout($niobe_menu_footer); ?>
					</div>
				</div>
				<?php
			}
			?>
		</div><?php
		
		// Attention! Don't place any spaces between columns!
		?><div class="sc_layouts_column sc_layouts_column_align_right sc_layouts_column_icons_position_left sc_layouts_column_fluid column-1_4">
<?php
}
?>
			<div class="footer_copyright_wrap scheme_<?php echo esc_attr($niobe_copyright_scheme); ?>">
				<div class="footer_copyright_inner">
					<div class="copyright_text"><?php
						// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
						$niobe_copyright = niobe_prepare_macros(niobe_get_theme_option('copyright'));
						if (!empty($niobe_copyright)) {
							niobe_show_layout(do_shortcode(str_replace(array('{{Y}}', '{Y}'), date('Y'), niobe_get_theme_option('copyright'))));
						}
					?></div>
				</div>
			</div>
<?php
if (!empty($niobe_menu_footer)) {
	?>			
		</div>
	</div><!-- /.columns_wrap -->
<?php
}
?>
</div><!-- /.content_wrap -->
