<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage NIOBE
 * @since NIOBE 1.0.10
 */

$niobe_footer_scheme =  niobe_is_inherit(niobe_get_theme_option('footer_scheme')) ? niobe_get_theme_option('color_scheme') : niobe_get_theme_option('footer_scheme');
$niobe_footer_id = str_replace('footer-custom-', '', niobe_get_theme_option("footer_style"));
if ((int) $niobe_footer_id == 0) {
	$niobe_footer_id = niobe_get_post_id(array(
												'name' => $niobe_footer_id,
												'post_type' => defined('TRX_ADDONS_CPT_LAYOUTS_PT') ? TRX_ADDONS_CPT_LAYOUTS_PT : 'cpt_layouts'
												)
											);
} else {
	$niobe_footer_id = apply_filters('niobe_filter_get_translated_layout', $niobe_footer_id);
}
$niobe_footer_meta = get_post_meta($niobe_footer_id, 'trx_addons_options', true);
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr($niobe_footer_id); 
						?> footer_custom_<?php echo esc_attr(sanitize_title(get_the_title($niobe_footer_id))); 
						if (!empty($niobe_footer_meta['margin']) != '') 
							echo ' '.esc_attr(niobe_add_inline_css_class('margin-top: '.niobe_prepare_css_value($niobe_footer_meta['margin']).';'));
						?> scheme_<?php echo esc_attr($niobe_footer_scheme); 
						?>">
	<?php
    // Custom footer's layout
    do_action('niobe_action_show_layout', $niobe_footer_id);
	?>
</footer><!-- /.footer_wrap -->
