<?php
/**
 * The template to display the site logo in the footer
 *
 * @package WordPress
 * @subpackage NIOBE
 * @since NIOBE 1.0.10
 */

// Logo
if (niobe_is_on(niobe_get_theme_option('logo_in_footer'))) {
	$niobe_logo_image = '';
	if (niobe_is_on(niobe_get_theme_option('logo_retina_enabled')) && niobe_get_retina_multiplier(2) > 1)
		$niobe_logo_image = niobe_get_theme_option( 'logo_footer_retina' );
	if (empty($niobe_logo_image)) 
		$niobe_logo_image = niobe_get_theme_option( 'logo_footer' );
	$niobe_logo_text   = get_bloginfo( 'name' );
	if (!empty($niobe_logo_image) || !empty($niobe_logo_text)) {
		?>
		<div class="footer_logo_wrap">
			<div class="footer_logo_inner">
				<?php
				if (!empty($niobe_logo_image)) {
					$niobe_attr = niobe_getimagesize($niobe_logo_image);
					echo '<a href="'.esc_url(home_url('/')).'"><img src="'.esc_url($niobe_logo_image).'" class="logo_footer_image" alt="'.esc_attr__('logo', 'niobe').'"'.(!empty($niobe_attr[3]) ? ' ' . wp_kses_data($niobe_attr[3]) : '').'></a>' ;
				} else if (!empty($niobe_logo_text)) {
					echo '<h1 class="logo_footer_text"><a href="'.esc_url(home_url('/')).'">' . esc_html($niobe_logo_text) . '</a></h1>';
				}
				?>
			</div>
		</div>
		<?php
	}
}
?>