<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package WordPress
 * @subpackage NIOBE
 * @since NIOBE 1.0.10
 */

// Footer sidebar
$niobe_footer_name = niobe_get_theme_option('footer_widgets');
$niobe_footer_present = !niobe_is_off($niobe_footer_name) && is_active_sidebar($niobe_footer_name);
if ($niobe_footer_present) { 
	niobe_storage_set('current_sidebar', 'footer');
	$niobe_footer_wide = niobe_get_theme_option('footer_wide');
	ob_start();
	if ( is_active_sidebar($niobe_footer_name) ) {
		dynamic_sidebar($niobe_footer_name);
	}
	$niobe_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($niobe_out)) {
		$niobe_out = preg_replace("/<\\/aside>[\r\n\s]*<aside/", "</aside><aside", $niobe_out);
		$niobe_need_columns = true;
		if ($niobe_need_columns) {
			$niobe_columns = max(0, (int) niobe_get_theme_option('footer_columns'));
			if ($niobe_columns == 0) $niobe_columns = min(4, max(1, substr_count($niobe_out, '<aside ')));
			if ($niobe_columns > 1)
				$niobe_out = preg_replace("/<aside([^>]*)class=\"widget/", "<aside$1class=\"column-1_".esc_attr($niobe_columns).' widget', $niobe_out);
			else
				$niobe_need_columns = false;
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo !empty($niobe_footer_wide) ? ' footer_fullwidth' : ''; ?> sc_layouts_row  sc_layouts_row_type_normal">
			<div class="footer_widgets_inner widget_area_inner">
				<?php 
				if (!$niobe_footer_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($niobe_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'niobe_action_before_sidebar' );
				niobe_show_layout($niobe_out);
				do_action( 'niobe_action_after_sidebar' );
				if ($niobe_need_columns) {
					?></div><!-- /.columns_wrap --><?php
				}
				if (!$niobe_footer_wide) {
					?></div><!-- /.content_wrap --><?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
?>