<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package WordPress
 * @subpackage NIOBE
 * @since NIOBE 1.0.06
 */

$niobe_header_css = $niobe_header_image = '';
$niobe_header_video = niobe_get_header_video();
if (true || empty($niobe_header_video)) {
	$niobe_header_image = get_header_image();
	if (niobe_trx_addons_featured_image_override(true)) $niobe_header_image = niobe_get_current_mode_image($niobe_header_image);
}

$niobe_header_id = str_replace('header-custom-', '', niobe_get_theme_option("header_style"));
if ((int) $niobe_header_id == 0) {
	$niobe_header_id = niobe_get_post_id(array(
												'name' => $niobe_header_id,
												'post_type' => defined('TRX_ADDONS_CPT_LAYOUTS_PT') ? TRX_ADDONS_CPT_LAYOUTS_PT : 'cpt_layouts'
												)
											);
} else {
	$niobe_header_id = apply_filters('niobe_filter_get_translated_layout', $niobe_header_id);
}
$niobe_header_meta = get_post_meta($niobe_header_id, 'trx_addons_options', true);

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr($niobe_header_id); 
				?> top_panel_custom_<?php echo esc_attr(sanitize_title(get_the_title($niobe_header_id)));
				echo !empty($niobe_header_image) || !empty($niobe_header_video) 
					? ' with_bg_image' 
					: ' without_bg_image';
				if ($niobe_header_video!='') 
					echo ' with_bg_video';
				if ($niobe_header_image!='') 
					echo ' '.esc_attr(niobe_add_inline_css_class('background-image: url('.esc_url($niobe_header_image).');'));
				if (!empty($niobe_header_meta['margin']) != '') 
					echo ' '.esc_attr(niobe_add_inline_css_class('margin-bottom: '.esc_attr(niobe_prepare_css_value($niobe_header_meta['margin'])).';'));
				if (is_single() && has_post_thumbnail()) 
					echo ' with_featured_image';
				if (niobe_is_on(niobe_get_theme_option('header_fullheight'))) 
					echo ' header_fullheight niobe-full-height';
				?> scheme_<?php echo esc_attr(niobe_is_inherit(niobe_get_theme_option('header_scheme')) 
												? niobe_get_theme_option('color_scheme') 
												: niobe_get_theme_option('header_scheme'));
				?>"><?php

	// Background video
	if (!empty($niobe_header_video)) {
		get_template_part( 'templates/header-video' );
	}
		
	// Custom header's layout
	do_action('niobe_action_show_layout', $niobe_header_id);

	// Header widgets area
	get_template_part( 'templates/header-widgets' );
		
?></header>