<?php
/**
 * The template to display default site header
 *
 * @package WordPress
 * @subpackage NIOBE
 * @since NIOBE 1.0
 */


$niobe_header_css = $niobe_header_image = '';
$niobe_header_video = niobe_get_header_video();
if (true || empty($niobe_header_video)) {
	$niobe_header_image = get_header_image();
	if (niobe_trx_addons_featured_image_override(true)) $niobe_header_image = niobe_get_current_mode_image($niobe_header_image);
}

?><header class="top_panel top_panel_default<?php
					echo !empty($niobe_header_image) || !empty($niobe_header_video) ? ' with_bg_image' : ' without_bg_image';
					if ($niobe_header_video!='') echo ' with_bg_video';
					if ($niobe_header_image!='') echo ' '.esc_attr(niobe_add_inline_css_class('background-image: url('.esc_url($niobe_header_image).');'));
					if (is_single() && has_post_thumbnail()) echo ' with_featured_image';
					if (niobe_is_on(niobe_get_theme_option('header_fullheight'))) echo ' header_fullheight niobe-full-height';
					?> scheme_<?php echo esc_attr(niobe_is_inherit(niobe_get_theme_option('header_scheme')) 
													? niobe_get_theme_option('color_scheme') 
													: niobe_get_theme_option('header_scheme'));
					?>"><?php

	// Background video
	if (!empty($niobe_header_video)) {
		get_template_part( 'templates/header-video' );
	}
	
	// Main menu
	if (niobe_get_theme_option("menu_style") == 'top') {
		get_template_part( 'templates/header-navi' );
	}

	// Page title and breadcrumbs area
	get_template_part( 'templates/header-title' );

	// Header widgets area
	get_template_part( 'templates/header-widgets' );

	// Header for single posts
	if (false) { get_template_part( 'templates/header-single' ); }

?></header>