<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package WordPress
 * @subpackage NIOBE
 * @since NIOBE 1.0
 */

$niobe_args = get_query_var('niobe_logo_args');

// Site logo
$niobe_logo_type   = isset($niobe_args['type']) ? $niobe_args['type'] : '';
$niobe_logo_image  = niobe_get_logo_image($niobe_logo_type);
$niobe_logo_text   = niobe_is_on(niobe_get_theme_option('logo_text')) ? get_bloginfo( 'name' ) : '';
$niobe_logo_slogan = get_bloginfo( 'description', 'display' );
if (!empty($niobe_logo_image) || !empty($niobe_logo_text)) {
	?><a class="sc_layouts_logo" href="<?php echo is_front_page() ? '#' : esc_url(home_url('/')); ?>"><?php
		if (!empty($niobe_logo_image)) {
			if (empty($niobe_logo_type) && function_exists('the_custom_logo') && is_numeric( $niobe_logo_image ) && (int) $niobe_logo_image > 0) {
				the_custom_logo();
			} else {
				$niobe_attr = niobe_getimagesize($niobe_logo_image);
				echo '<img src="'.esc_url($niobe_logo_image).'" alt="'.esc_attr__('logo', 'niobe').'"'.(!empty($niobe_attr[3]) ? ' '.wp_kses_data($niobe_attr[3]) : '').'>';
			}
		} else {
			niobe_show_layout(niobe_prepare_macros($niobe_logo_text), '<span class="logo_text">', '</span>');
			niobe_show_layout(niobe_prepare_macros($niobe_logo_slogan), '<span class="logo_slogan">', '</span>');
		}
	?></a><?php
}
?>