<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package WordPress
 * @subpackage NIOBE
 * @since NIOBE 1.0
 */

// Page (category, tag, archive, author) title

if ( niobe_need_page_title() ) {
	niobe_sc_layouts_showed('title', true);
	niobe_sc_layouts_showed('postmeta', false);
	?>
	<div class="top_panel_title sc_layouts_row sc_layouts_row_type_normal">
		<div class="content_wrap">
			<div class="sc_layouts_column sc_layouts_column_align_center">
				<div class="sc_layouts_item">
					<div class="sc_layouts_title sc_align_center">
						<?php
						// Post meta on the single post
						if ( is_single() && false )  {
							?><div class="sc_layouts_title_meta"><?php
								niobe_show_post_meta(apply_filters('niobe_filter_post_meta_args', array(
									'components' => 'categories,date,counters,edit',
									'counters' => 'views,comments,likes',
									'seo' => true
									), 'header', 1)
								);
							?></div><?php
						}
						
						// Blog/Post title
						?><div class="sc_layouts_title_title"><?php
							$niobe_blog_title = niobe_get_blog_title();
							$niobe_blog_title_text = $niobe_blog_title_class = $niobe_blog_title_link = $niobe_blog_title_link_text = '';
							if (is_array($niobe_blog_title)) {
								$niobe_blog_title_text = $niobe_blog_title['text'];
								$niobe_blog_title_class = !empty($niobe_blog_title['class']) ? ' '.$niobe_blog_title['class'] : '';
								$niobe_blog_title_link = !empty($niobe_blog_title['link']) ? $niobe_blog_title['link'] : '';
								$niobe_blog_title_link_text = !empty($niobe_blog_title['link_text']) ? $niobe_blog_title['link_text'] : '';
							} else
								$niobe_blog_title_text = $niobe_blog_title;
							?>
							<h1 itemprop="headline" class="sc_layouts_title_caption<?php echo esc_attr($niobe_blog_title_class); ?>"><?php
								$niobe_top_icon = niobe_get_category_icon();
								if (!empty($niobe_top_icon)) {
									$niobe_attr = niobe_getimagesize($niobe_top_icon);
									?><img src="<?php echo esc_url($niobe_top_icon); ?>" alt="<?php esc_attr_e('Icon', 'niobe'); ?>" <?php if (!empty($niobe_attr[3])) niobe_show_layout($niobe_attr[3]);?>><?php
								}
								echo wp_kses_post($niobe_blog_title_text);
							?></h1>
							<?php
							if (!empty($niobe_blog_title_link) && !empty($niobe_blog_title_link_text)) {
								?><a href="<?php echo esc_url($niobe_blog_title_link); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html($niobe_blog_title_link_text); ?></a><?php
							}
							
							// Category/Tag description
							if ( is_category() || is_tag() || is_tax() ) 
								the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
		
						?></div><?php
	
						// Breadcrumbs
						?><div class="sc_layouts_title_breadcrumbs"><?php
							do_action( 'niobe_action_breadcrumbs');
						?></div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
?>