<?php
/**
 * The template to display the background video in the header
 *
 * @package WordPress
 * @subpackage NIOBE
 * @since NIOBE 1.0.14
 */
$niobe_header_video = niobe_get_header_video();
$niobe_embed_video = '';
if (!empty($niobe_header_video) && !niobe_is_from_uploads($niobe_header_video)) {
	if (niobe_is_youtube_url($niobe_header_video) && preg_match('/[=\/]([^=\/]*)$/', $niobe_header_video, $matches) && !empty($matches[1])) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr($matches[1]); ?>"></div><?php
	} else {
		global $wp_embed;
		if (false && is_object($wp_embed)) {
			$niobe_embed_video = do_shortcode($wp_embed->run_shortcode( '[embed]' . trim($niobe_header_video) . '[/embed]' ));
			$niobe_embed_video = niobe_make_video_autoplay($niobe_embed_video);
		} else {
			$niobe_header_video = str_replace('/watch?v=', '/embed/', $niobe_header_video);
			$niobe_header_video = niobe_add_to_url($niobe_header_video, array(
				'feature' => 'oembed',
				'controls' => 0,
				'autoplay' => 1,
				'showinfo' => 0,
				'modestbranding' => 1,
				'wmode' => 'transparent',
				'enablejsapi' => 1,
				'origin' => home_url(),
				'widgetid' => 1
			));
			$niobe_embed_video = '<iframe src="' . esc_url($niobe_header_video) . '" width="1170" height="658" allowfullscreen="0" frameborder="0"></iframe>';
		}
		?><div id="background_video"><?php niobe_show_layout($niobe_embed_video); ?></div><?php
	}
}
?>