<?php
/**
 * The template to display the widgets area in the header
 *
 * @package WordPress
 * @subpackage NIOBE
 * @since NIOBE 1.0
 */

// Header sidebar
$niobe_header_name = niobe_get_theme_option('header_widgets');
$niobe_header_present = !niobe_is_off($niobe_header_name) && is_active_sidebar($niobe_header_name);
if ($niobe_header_present) { 
	niobe_storage_set('current_sidebar', 'header');
	$niobe_header_wide = niobe_get_theme_option('header_wide');
	ob_start();
	if ( is_active_sidebar($niobe_header_name) ) {
		dynamic_sidebar($niobe_header_name);
	}
	$niobe_widgets_output = ob_get_contents();
	ob_end_clean();
	if (!empty($niobe_widgets_output)) {
		$niobe_widgets_output = preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $niobe_widgets_output);
		$niobe_need_columns = strpos($niobe_widgets_output, 'columns_wrap')===false;
		if ($niobe_need_columns) {
			$niobe_columns = max(0, (int) niobe_get_theme_option('header_columns'));
			if ($niobe_columns == 0) $niobe_columns = min(6, max(1, substr_count($niobe_widgets_output, '<aside ')));
			if ($niobe_columns > 1)
				$niobe_widgets_output = preg_replace("/<aside([^>]*)class=\"widget/", "<aside$1class=\"column-1_".esc_attr($niobe_columns).' widget', $niobe_widgets_output);
			else
				$niobe_need_columns = false;
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo !empty($niobe_header_wide) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<div class="header_widgets_inner widget_area_inner">
				<?php 
				if (!$niobe_header_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($niobe_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'niobe_action_before_sidebar' );
				niobe_show_layout($niobe_widgets_output);
				do_action( 'niobe_action_after_sidebar' );
				if ($niobe_need_columns) {
					?></div>	<!-- /.columns_wrap --><?php
				}
				if (!$niobe_header_wide) {
					?></div>	<!-- /.content_wrap --><?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
?>