<?php
/**
 * The template 'Style 2' to displaying related posts
 *
 * @package WordPress
 * @subpackage NIOBE
 * @since NIOBE 1.0
 */

$niobe_link = get_permalink();
$niobe_post_format = get_post_format();
$niobe_post_format = empty($niobe_post_format) ? 'standard' : str_replace('post-format-', '', $niobe_post_format);

$categories = get_the_category();
$separator = ' ';
$output = '';


?><div id="post-<?php the_ID(); ?>" 
	<?php post_class( 'related_item related_item_style_2 post_format_'.esc_attr($niobe_post_format) ); ?>><?php
	niobe_show_post_featured(array(
		'thumb_size' => niobe_get_thumb_size( (int) niobe_get_theme_option('related_posts') == 1 ? 'huge' : 'big' ),
		'show_no_image' => false,
		'singular' => true
		)
	);
	?><div class="post_header entry-header">
		<div class="post_meta">	
			<span class="post_meta_item post_categories"><?php
				if ( !empty( $categories ) ) {
					foreach( $categories as $category ) {
						$output .= '<a href="' . esc_url( get_category_link( $category->term_id ) ) . '" alt="' . esc_attr( sprintf( __( 'View all posts in %s', 'niobe' ), $category->name ) ) . '">' . esc_html( $category->name ) . '</a>' . $separator;
					}
					echo trim( $output, $separator );
				}	
				?>
			</span>
		</div>
		<h6 class="post_title entry-title"><a href="<?php echo esc_url($niobe_link); ?>"><?php the_title(); ?></a></h6>
	</div>
</div>