<?php
/**
 * The template to display posts in widgets and/or in the search results
 *
 * @package WordPress
 * @subpackage NIOBE
 * @since NIOBE 1.0
 */

$niobe_post_id    = get_the_ID();
$niobe_post_date  = niobe_get_date();
$niobe_post_title = get_the_title();
$niobe_post_link  = get_permalink();
$niobe_post_author_id   = get_the_author_meta('ID');
$niobe_post_author_name = get_the_author_meta('display_name');
$niobe_post_author_url  = get_author_posts_url($niobe_post_author_id, '');

$niobe_args = get_query_var('niobe_args_widgets_posts');
$niobe_show_date = isset($niobe_args['show_date']) ? (int) $niobe_args['show_date'] : 1;
$niobe_show_image = isset($niobe_args['show_image']) ? (int) $niobe_args['show_image'] : 1;
$niobe_show_author = isset($niobe_args['show_author']) ? (int) $niobe_args['show_author'] : 1;
$niobe_show_counters = isset($niobe_args['show_counters']) ? (int) $niobe_args['show_counters'] : 1;
$niobe_show_categories = isset($niobe_args['show_categories']) ? (int) $niobe_args['show_categories'] : 1;

$niobe_output = niobe_storage_get('niobe_output_widgets_posts');

$niobe_post_counters_output = '';
if ( $niobe_show_counters ) {
	$niobe_post_counters_output = '<span class="post_info_item post_info_counters">'
								. niobe_get_post_counters('comments')
							. '</span>';
}


$niobe_output .= '<article class="post_item with_thumb">';

if ($niobe_show_image) {
	$niobe_post_thumb = get_the_post_thumbnail($niobe_post_id, niobe_get_thumb_size('tiny'), array(
		'alt' => the_title_attribute( array( 'echo' => false ) )
	));
	if ($niobe_post_thumb) $niobe_output .= '<div class="post_thumb">' . ($niobe_post_link ? '<a href="' . esc_url($niobe_post_link) . '">' : '') . ($niobe_post_thumb) . ($niobe_post_link ? '</a>' : '') . '</div>';
}

$niobe_output .= '<div class="post_content">'
			. ($niobe_show_categories 
					? '<div class="post_categories">'
						. niobe_get_post_categories()
						. $niobe_post_counters_output
						. '</div>' 
					: '')
			. '<h6 class="post_title">' . ($niobe_post_link ? '<a href="' . esc_url($niobe_post_link) . '">' : '') . ($niobe_post_title) . ($niobe_post_link ? '</a>' : '') . '</h6>'
			. apply_filters('niobe_filter_get_post_info', 
								'<div class="post_info">'
									. ($niobe_show_date 
										? '<span class="post_info_item post_info_posted">'
											. ($niobe_post_link ? '<a href="' . esc_url($niobe_post_link) . '" class="post_info_date">' : '') 
											. esc_html($niobe_post_date) 
											. ($niobe_post_link ? '</a>' : '')
											. '</span>'
										: '')
									. ($niobe_show_author 
										? '<span class="post_info_item post_info_posted_by">' 
											. esc_html__('by', 'niobe') . ' ' 
											. ($niobe_post_link ? '<a href="' . esc_url($niobe_post_author_url) . '" class="post_info_author">' : '') 
											. esc_html($niobe_post_author_name) 
											. ($niobe_post_link ? '</a>' : '') 
											. '</span>'
										: '')
									. (!$niobe_show_categories && $niobe_post_counters_output
										? $niobe_post_counters_output
										: '')
								. '</div>')
		. '</div>'
	. '</article>';
niobe_storage_set('niobe_output_widgets_posts', $niobe_output);
?>